# class Tk::Tcllib::Tkpiechart::PeripheralLabeler

### Private Instance Methods

__config_cmd() click to toggle source

    # File lib/tkextlib/tcllib/tkpiechart.rb, line 263
    def __config_cmd
      ['::switched::configure', self.tag]
    end

__font_optkeys() click to toggle source

    # File lib/tkextlib/tcllib/tkpiechart.rb, line 258
    def __font_optkeys
      ['font', 'smallfont']
    end

create_self(keys=None) click to toggle source

    # File lib/tkextlib/tcllib/tkpiechart.rb, line 270
    def create_self(keys=None)
      if keys and keys != None
        @tag_key = tk_call_without_enc('::stooop::new',
                                       'piePeripheralLabeler',
                                       *hash_kv(keys, true))
      else
        @tag_key = tk_call_without_enc('::stooop::new', 'piePeripheralLabeler')
      end

      id = "piePeripheralLabeler(#{@tag_key})"
      @tag = TkcNamedTag(@c, id)

      id
    end